%define upstream_name    Spreadsheet-Read
%define upstream_version 0.46

%define _requires_exceptions /pro/bin/perl

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Transparent read the data from a spreadsheet
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Spreadsheet/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp) >= 0.220.0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::NoWarnings)
BuildArch:  noarch

%description
Spreadsheet::Read tries to transparently read *any* spreadsheet and return
its content in a universal manner independent of the parsing module that
does the actual spreadsheet scanning.

For OpenOffice this module uses Spreadsheet::ReadSXC

For Microsoft Excel this module uses Spreadsheet::ParseExcel or
Spreadsheet::XLSX

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/*

%changelog

* Thu Feb 23 2012 jquelin <jquelin> 0.460.0-1.mga2
+ Revision: 213173
- update to 0.46

* Mon Sep 26 2011 jquelin <jquelin> 0.450.0-1.mga2
+ Revision: 148308
- adding missing buildrequires:
- update to 0.45

* Wed Jun 15 2011 jquelin <jquelin> 0.420.0-1.mga2
+ Revision: 107450
- update to 0.42

* Mon Jan 24 2011 jquelin <jquelin> 0.410.0-4.mga1
+ Revision: 37344
- rebuild
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.410.0-2.mga1
+ Revision: 34886
- rebuild
- mageia rebuild
- imported package perl-Spreadsheet-Read

